//============================================================================
//  aPCI-8806 Device Driver I/F Control
//  apci8806ctl.h
//  Author  Shoichiro Ito(ADTEK SYSTEM SCIENCE Co.,Ltd.)
//  Date    2000/03/30
//  Rev.    1.0.0
//============================================================================

#ifndef __INC_APCI8806CTL_H__
#define __INC_APCI8806CTL_H__

#include "apci8806.h"

#ifdef __cplusplus
extern "C" {
#endif


//----------------------------------------------------------------------------
//  Miscellaneous
//----------------------------------------------------------------------------

#define APCI8806_SLOT_AUTO	((int)~0)	// ̤ѥǥХθ


//----------------------------------------------------------------------------
//  Error Codes
//----------------------------------------------------------------------------

#define APCI8806_OK		 0	// ｪλ
#define APCI8806_ESYSCALL	-1	// ƥॳ륨顼
#define APCI8806_EINVAL		-2	// ʰ
#define APCI8806_ENODEV		-3	// ǥХϸդʤ
#define APCI8806_EBUSY		-4	// ¹ޤϻ


//----------------------------------------------------------------------------
// Control Functions
//----------------------------------------------------------------------------

int apci8806_create     (int log_slot);
int apci8806_close	(int log_slot);
int apci8806_set_da_data(int log_slot, unsigned short ch, unsigned short data);
int apci8806_get_exin   (int log_slot, unsigned char* pexin);


#ifdef __cplusplus
}
#endif


#endif // __INC_APCI8806CTL_H__
